#include "femDirichlet.h"
#include "femProblem.h"
#include "femGroup.h"

namespace fem
{

Dirichlet::Dirichlet(Problem &pbl, std::string const &groupname,
                     std::string const &dof, double val) : m_dofname(dof), m_val(val)
{
    group = pbl.groups_by_name.at(groupname);
    pbl.dirichlets.push_back(this);
}

Dirichlet::~Dirichlet()
{
    if(debug_level()>0)
        std::cout << "~Dirichlet()\n";
}

FEM_API std::ostream &
operator<<(std::ostream &out, Dirichlet const &obj)
{
    out << "Dirichlet BC on \"" << obj.group->name << "\": "
        << obj.m_dofname << '=' << obj.m_val;
    return out;
}

} // namespace fem
